<nav class="navbar navbar-expand-lg fixed-top">
    <a class="navbar-brand" href="#">User Name</a>
    <button class="navbar-toggler" type="button" (click)="toggleSidebar()">
        <i class="fa fa-bars text-muted" aria-hidden="true"></i>
    </button>
    <div class="collapse navbar-collapse">
        <form class="form-inline my-2 my-lg-0">
            <input class="form-control mr-sm-2" type="text" placeholder="Search" >
        </form>
        <ul class="navbar-nav ml-auto">
            <li class="nav-item dropdown" ngbDropdown>
                <a href="javascript:void(0)" class="nav-link" ngbDropdownToggle>
                    <i class="fa fa-user"></i> User Name <b class="caret"></b>
                </a>
                <div class="dropdown-menu-right" ngbDropdownMenu>
                    <a class="dropdown-item" href="javascript:void(0)">
                        <i class="fa fa-fw fa-user"></i> Profile
                    </a>
                    <a class="dropdown-item" href="javascript:void(0)">
                        <i class="fa fa-fw fa-gear"></i> Settings
                    </a>
                    <a class="dropdown-item" [routerLink]="['/login']" (click)="onLoggedout()">
                        <i class="fa fa-fw fa-power-off"></i> Log Out
                    </a>
                </div>
            </li>
        </ul>
    </div>
</nav>
